Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationTargetLocation

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationTargetLocation

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationTargetLocation

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Target Location', and utility methods for working with them. specDomain: V10302 (C-0-D10901-V10302-cpt)

See Also:
  `CDAR2Package.getParticipationTargetLocation()`

Field Summary
`static int` | `DST` The 'DST' literal value.
`static ParticipationTargetLocation` | `DST_LITERAL` The 'DST' literal object.
`static int` | `ELOC` The 'ELOC' literal value.
`static ParticipationTargetLocation` | `ELOC_LITERAL` The 'ELOC' literal object.
`static int` | `LOC` The 'LOC' literal value.
`static ParticipationTargetLocation` | `LOC_LITERAL` The 'LOC' literal object.
`static int` | `ORG` The 'ORG' literal value.
`static ParticipationTargetLocation` | `ORG_LITERAL` The 'ORG' literal object.
`static int` | `RML` The 'RML' literal value.
`static ParticipationTargetLocation` | `RML_LITERAL` The 'RML' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Target Location' enumerators.
`static int` | `VIA` The 'VIA' literal value.
`static ParticipationTargetLocation` | `VIA_LITERAL` The 'VIA' literal object.

Method Summary
`static ParticipationTargetLocation` | `get(int value)` Returns the 'Participation Target Location' literal with the specified integer value.
`static ParticipationTargetLocation` | `get(java.lang.String literal)` Returns the 'Participation Target Location' literal with the specified literal value.
`static ParticipationTargetLocation` | `getByName(java.lang.String name)` Returns the 'Participation Target Location' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOC

    public static final int LOC

  The 'LOC' literal value.

  If the meaning of 'LOC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOC_LITERAL`, Constant Field Values

### DST

    public static final int DST

  The 'DST' literal value.

  If the meaning of 'DST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DST_LITERAL`, Constant Field Values

### ELOC

    public static final int ELOC

  The 'ELOC' literal value.

  If the meaning of 'ELOC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ELOC_LITERAL`, Constant Field Values

### ORG

    public static final int ORG

  The 'ORG' literal value.

  If the meaning of 'ORG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ORG_LITERAL`, Constant Field Values

### RML

    public static final int RML

  The 'RML' literal value.

  If the meaning of 'RML' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RML_LITERAL`, Constant Field Values

### VIA

    public static final int VIA

  The 'VIA' literal value.

  If the meaning of 'VIA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VIA_LITERAL`, Constant Field Values

### LOC_LITERAL

    public static final ParticipationTargetLocation LOC_LITERAL

  The 'LOC' literal object.

  See Also:
    `LOC`

### DST_LITERAL

    public static final ParticipationTargetLocation DST_LITERAL

  The 'DST' literal object.

  See Also:
    `DST`

### ELOC_LITERAL

    public static final ParticipationTargetLocation ELOC_LITERAL

  The 'ELOC' literal object.

  See Also:
    `ELOC`

### ORG_LITERAL

    public static final ParticipationTargetLocation ORG_LITERAL

  The 'ORG' literal object.

  See Also:
    `ORG`

### RML_LITERAL

    public static final ParticipationTargetLocation RML_LITERAL

  The 'RML' literal object.

  See Also:
    `RML`

### VIA_LITERAL

    public static final ParticipationTargetLocation VIA_LITERAL

  The 'VIA' literal object.

  See Also:
    `VIA`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Target Location' enumerators.

Method Detail

### get

    public static ParticipationTargetLocation get(java.lang.String literal)

  Returns the 'Participation Target Location' literal with the specified literal value.

### getByName

    public static ParticipationTargetLocation getByName(java.lang.String name)

  Returns the 'Participation Target Location' literal with the specified name.

### get

    public static ParticipationTargetLocation get(int value)

  Returns the 'Participation Target Location' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD